<div class="hp-container" style="-moz-user-select: none; -webkit-user-select: none; -ms-user-select:none; user-select:none;-o-user-select:none;" 
unselectable="on"
onselectstart="return false;">
  <p>
    <span class="hp-container__heart" [ngClass]="{'hp-container__heart-dead': isDead() }">&#9829;</span> 
    <span class="hp-container__life-bar-border">
      <span class="hp-container__life-bar-fill" [ngStyle]="{ 'width': getHealthBarSize() }"></span>
    </span>
    <span class="hp-container__hp-number">{{ player?.health }}</span>
  </p>
  <br>
  <p class="mp-container">
    <span class="mp-container__yin-yang" [ngClass]="{'mp-container__yin-yang-dead': isDead() }">&#9770;</span>
    <span class="mp-container__mana-bar-border">
      <span class="mp-container__mana-bar-fill" [ngStyle]="{ 'width': getManaBarSize() }"></span>
    </span>
    <span class="mp-container__mp-number">{{ player?.mana }}</span>
  </p>
</div>